Skip to main content

GET /insights/aggregated/domains

GET 

insights/aggregated/domains

Retrieve aggregated statistics showing how many domains are currently blocklisted, clean, or not monitored (including those detected across other users’ services) across all or filtered IP and domain insight records

Query Parameters​

ip string
Filter results by IP address substring

domain string
Filter results by domain name substring

sources string
Filter results by one or more data sources. Accepts a comma-separated list of source names

dmarc string
Filter results by DMARC type. Accepts a comma-separated list of values

seedlisting string
Filter results by seedlisting placement. Accepts a comma-separated list of values

gp string
Filter results by Google Postmaster domain reputation. Accepts a comma-separated list of reputation values

gp_compliance string
Filter results by the current Google Postmaster v2 compliance status. Accepts a comma-separated list of values

snds string
Filter results by SNDS status. Accepts a comma-separated list of status values

blocklisted string
Filter results by blocklist status. Accepts a comma-separated list of status values

ip_only boolean
Filter results to include only IP-based insights (excludes domain-only records)

domain_only boolean
Filter results to include only domain-based insights (excludes IP-only records)

profile_id string
Filter results to only include IPs and domains that belong to the specified profile

Returns

  • cleannumber
    Number of clean domains
  • blocklistednumber
    Number of blocklisted domains
  • not_monitorednumber
    Number of not monitored domains
Error Codes

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error